package cn.com.poc.thirdparty.resource.demand.pay.rest;

import cn.com.poc.thirdparty.resource.demand.pay.dto.PayOrderStatusDto;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author Roger Wu
 */
@Permission(Access.Safety)
public interface PayRest extends BaseRest {

    /**
     * 发起支付
     *
     * @param payChannel   支付渠道
     * @param validityUnit 有效期  year-年 month-月
     * @param domain       equity 权益包  point-积分包
     * @param type         normal-普通版 professional-专业版 ultimate-旗舰版
     */
    Object pay(@RequestParam String payChannel, @RequestParam String validityUnit,
               @RequestParam String domain, @RequestParam String type) throws Exception;

    /**
     * 查询支付状态
     *
     * @param payOrderSn 订单号
     * @return 支付状态
     */
    PayOrderStatusDto orderStatus(@RequestParam String payOrderSn) throws Exception;

}
